Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Danh Cong

Hỏi về cách lấy DXF 10 của Leader

Các bài được khuyến nghị

+ Các bác cho em hỏi dại chút xíu: Như hình bên dưới

Mục đích là em đang định căn chỉnh điểm 1 của nhiều Leader  cho ngăn nắp 1 tí.

Khi em Entget Leader thì thấy ra nhiều mã DXF 10 quá.

Giả sử Leader được vẽ bởi 3 điểm, tương ứng có giá trị DXF 10, thì tọa độ tương ứng của điểm 1 =  DXF 10 thứ 3 (cuối cùng của dãy ).

Vậy em phải code thế nào để lấy được DXF 10 thứ 3 này để thay đổi nó ạ :))) 

Em xin cám ơn.

Leader.png

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nếu muốn lấy dxf 10 cuối thì thế này:

(cdr (last (vl-remove-if '(lambda(x) (/= (car x) 10)) (entget (car (entsel))))))

Hehe! Nhưng có khi điểm 1 là thằng nhứ nhất đấy.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
33 phút trước, Doan Van Ha đã nói:

Nếu muốn lấy dxf 10 cuối thì thế này:

(cdr (last (vl-remove-if '(lambda(x) (/= (car x) 10)) (entget (car (entsel))))))

Hehe! Nhưng có khi điểm 1 là thằng nhứ nhất đấy.

Chắc trời chập tối nên cháu quáng gà mất rồi, đầu nghĩ 1 đằng mà viết thì 1 kiểu.

Code của bác cháu chạy ngon lành rồi :)))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
23 phút trước, ngokiet đã nói:

Mình không biết điểm nào số 1. Nhưng lấy cái cuối thì thử cách sau

(cdr(assoc 10(reverse(entget(car(entsel))))))

+ Code  bác chạy tốt. Rất ngắn gọn mà hiệu quả cho trường hợp này. Em quên mất còn hàm Reverse để áp dụng cho bài toàn này. Cám ơn bác nhé. :))) 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×